STOFFBorderLine Struct Reference

a border line More...

`#include <libstaroffice_internal.hxx>`

## Public Member Functions

| STOFFBorderLine ()
| constructor
bool | addTo (librevenge::RVNGPropertyList &propList, std::string which="") const
| add the border property to proplist (if needed )
bool | isEmpty () const
| returns true if the border is empty
bool | operator== (STOFFBorderLine const &orig) const
| operator==
bool | operator!= (STOFFBorderLine const &orig) const
| operator!=

## Public Attributes

int | m_outWidth
| the outline width in TWIP
int | m_inWidth
| the inline width in TWIP
STOFFColor | m_color
| the border color
int | m_distance
| the border distance

## Friends

std::ostream & | operator<< (std::ostream &o, STOFFBorderLine const &border)
| operator<<

## Detailed Description

a border line

## Constructor & Destructor Documentation

## STOFFBorderLine()

STOFFBorderLine::STOFFBorderLine | ( |  | ) |

inline

constructor

Referenced by operator!=(), operator<<, and operator==().

## Member Function Documentation

## addTo()

bool STOFFBorderLine::addTo | ( | librevenge::RVNGPropertyList & | propList,
|  | std::string | which = "" ) const

add the border property to proplist (if needed )

Note
  if set which must be equal to "left", "top", ...

## isEmpty()

bool STOFFBorderLine::isEmpty | ( |  | ) | const

inline

returns true if the border is empty

Referenced by addTo().

## operator!=()

bool STOFFBorderLine::operator!= | ( | STOFFBorderLine const & | orig | ) | const

inline

operator!=

Referenced by operator==().

## operator==()

bool STOFFBorderLine::operator== | ( | STOFFBorderLine const & | orig | ) | const

inline

operator==

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFBorderLine const & | border )

friend

operator<<

## Member Data Documentation

## m_color

STOFFColor STOFFBorderLine::m_color

the border color

Referenced by addTo(), operator!=(), operator<<, StarFrameAttribute::StarFAttributeBorder::read(), StarGraphicAttribute::StarGAttributeBoxInfo::read(), and STOFFBorderLine().

## m_distance

int STOFFBorderLine::m_distance

the border distance

Referenced by addTo(), operator!=(), operator<<, StarFrameAttribute::StarFAttributeBorder::read(), StarGraphicAttribute::StarGAttributeBoxInfo::read(), and STOFFBorderLine().

## m_inWidth

int STOFFBorderLine::m_inWidth

the inline width in TWIP

Referenced by addTo(), isEmpty(), operator!=(), operator<<, StarFrameAttribute::StarFAttributeBorder::read(), StarGraphicAttribute::StarGAttributeBoxInfo::read(), and STOFFBorderLine().

## m_outWidth

int STOFFBorderLine::m_outWidth

the outline width in TWIP

Referenced by addTo(), isEmpty(), operator!=(), operator<<, StarFrameAttribute::StarFAttributeBorder::read(), StarGraphicAttribute::StarGAttributeBoxInfo::read(), and STOFFBorderLine().

The documentation for this struct was generated from the following files:

- libstaroffice_internal.hxx
- libstaroffice_internal.cxx